%global momorel 2
%global artsver 1.4.0
%global qtver 3.3.4
%global kdever 3.4.0
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global modver 0.5

Summary: A Powerful Media Player For KDE
Name: amarok
Version: 1.2.3
Release: %{momorel}m
License: GPL
URL: http://amarok.kde.org/
Group: Applications/Multimedia
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/amarok/%{name}-%{version}.tar.bz2 0082f47cb4503afc7d8e671cfd5cb983
%NoSource 1 http://jaist.dl.sourceforge.net/sourceforge/amarok/modplug_artsplugin-%{modver}.tar.bz2 8f548dcc6af91bb12e937d12f6570c9a
Patch1: %{name}-1.2-desktopfile.patch
Patch2: %{name}-%{version}-nokdelibsuff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt >= %{qtver}, kdelibs >= %{kdever}, arts >= %{artsver}, kdemultimedia >= %{kdever}
Requires: taglib >= 1.3.1, k3b >= 0.11
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, arts-devel >= %{artsver}, kdemultimedia >= %{kdever}
BuildPreReq: gstreamer-devel >= 0.8.4, gst-plugins-devel >= 0.8.7-6m, xine-lib >= 1.0-4m
BuildPreReq: taglib-devel >= 1.3.1, xmms-devel >= 1.2, libvisual-devel >= 0.2.0
BuildPreReq: SDL-devel >= 1.2.7-11m

%description
amaroK is a media player for all kinds of media, supported by aRts or
GStreamer. This includes MP3, Ogg Vorbis, audio CDs and streams.
It also supports audio effects of all kinds that are provided by aRts.
Playlists can be stored in .m3u or .pls files.

%package gstreamer
Summary: GStreamer Output Plugin for amaroK
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
PreReq: gstreamer >= 0.8.4, gst-plugins-additional >= 0.8.4

%description gstreamer
amaroK media player can play via GStreamer using this plugin.

%package xine
Summary: Xine Output Plugin for amaroK
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: xine-lib >= 1.0

%description xine
amaroK media player can play via Xine using this plugin.

%package xmms
Summary: XMMS Visual Plugin Support for amaroK
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: xmms >= 1.2

%description xmms
Xmms visualization plugins can be used with amarok using this package.

%package libvisual
Summary: Libvisual Visual Plugin Support for amaroK
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: libvisual-plugins >= 0.2.0

%description libvisual
Libvisual visualization plugins can be used with amarok using this package.

%prep
%setup -q -b 1

%patch1 -p1 -b .desktop~
%patch2 -p1 -b .nokdelibsuff

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

# build modplug_artsplugin
cd %{_builddir}/modplug_artsplugin-%{modver}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install modplug_artsplugin
cd %{_builddir}/modplug_artsplugin-%{modver}
make install DESTDIR=%{buildroot}

# # remove unwanting file
# rm -f %{buildroot}%{_bindir}/release_amarok

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/amarok.png %{buildroot}%{_datadir}/pixmaps/amarok.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post gstreamer
%{_bindir}/gst-register > /dev/null 2> /dev/null

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/amarok
%{_bindir}/amarokapp
%{_libdir}/kde3/kfile_modplug.la
%{_libdir}/kde3/kfile_modplug.so
%{_libdir}/kde3/konqsidebar_universalamarok.la
%{_libdir}/kde3/konqsidebar_universalamarok.so
%{_libdir}/kde3/libamarok_aKode-engine.la
%{_libdir}/kde3/libamarok_aKode-engine.so
%{_libdir}/kde3/libamarok_artsengine_plugin.la
%{_libdir}/kde3/libamarok_artsengine_plugin.so
%{_libdir}/kde3/libamarok_void-engine_plugin.la
%{_libdir}/kde3/libamarok_void-engine_plugin.so
%{_libdir}/mcop/Amarok
%{_libdir}/mcop/Arts/*.mcopclass
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/applications/kde/amarok.desktop
%{_datadir}/apps/amarok
%{_datadir}/apps/konqsidebartng/add/amarok.desktop
%{_datadir}/apps/konqsidebartng/entries/amarok.desktop
%{_datadir}/apps/konqsidebartng/kicker_entries/amarok.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_append.desktop
%{_datadir}/apps/profiles/amarok.profile.xml
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/amarok.kcfg
%{_datadir}/doc/HTML/*/amarok
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/amarok.png
%{_datadir}/services/amarok_aKode-engine.desktop
%{_datadir}/services/amarok_artsengine_plugin.desktop
%{_datadir}/services/amarok_void-engine_plugin.desktop
%{_datadir}/services/kfile_modplug.desktop
%{_datadir}/servicetypes/amarok_plugin.desktop

%files gstreamer
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_gstengine_plugin.la
%{_libdir}/kde3/libamarok_gstengine_plugin.so
%{_datadir}/config.kcfg/gstconfig.kcfg
%{_datadir}/services/amarok_gstengine_plugin.desktop

%files xine
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_xine-engine.la
%{_libdir}/kde3/libamarok_xine-engine.so
%{_datadir}/services/amarok_xine-engine.desktop

%files xmms
%defattr(-, root, root)
%{_bindir}/amarok_xmmswrapper2

%files libvisual
%defattr(-, root, root)
%{_bindir}/amarok_libvisual

%changelog
* Wed Mar 30 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.3-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- add aKode-engine
- remove amarok-1.2.2-fix-kde-bug-101524.patch

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- amarok-libvisual Requires: libvisual -> libvisual-plugins

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2
- import amarok-1.2.2-fix-kde-bug-101524.patch from KDE CVS
  see KDE BTS #101524

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-2m)
- rebuild against SDL

* Mon Feb 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- version 1.2

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-0.4.3m)
- rebuild against gst-plugins xine-lib

* Sat Feb 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.2m)
- add a package amarok-libvisual

* Mon Jan 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.1m)
- update to 1.2-beta4

* Sun Jan  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.3.1m)
- update to 1.2-beta3

* Fri Dec 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.2.1m)
- update to 1.2-beta2

* Sun Nov 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.1.1m)
- update to version 1.2-beta1

* Sat Oct  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- remove amarok-1.1-docpath.patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1
- Requires: k3b >= 0.11
- add amarok-1.1-docpath.patch

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.2m)
- rebuild against KDE 3.3.0

* Mon Sep 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.1m)
- update to version 1.1-beta2

* Sun Aug 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-6m)
- modify amarok.desktop for GNOME
- add %%{_datadir}/pixmaps/amarok.png for GNOME

* Fri Aug 20 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-5m)
- Requires: gst-plugins -> gst-plugins-additional

* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-4m)
- add a package amarok-xine

* Sun Aug  8 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-3m)
- change md5sum %%NoSource 0

* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-2m)
- change make install-strip to install

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Jul  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- use make install-strip

* Fri Jun 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- 1st release
- %%description and package style are imported from SUSE LINUX 9.1

* Thu Jun 17 2004 - adrian@suse.de
- update to version 1.0 final
* Wed Jun 02 2004 - adrian@suse.de
- add modplug_artsplugin version 0.5
* Tue Jun 01 2004 - adrian@suse.de
- update to version 1.0 beta 4
- update translations
* Tue May 11 2004 - adrian@suse.de
- add translations
* Mon May 10 2004 - adrian@suse.de
- add missing %%defattr
* Mon May 10 2004 - adrian@suse.de
- update to version 1.0 beta 3
- add gstreamer support in subpackage
* Fri Apr 23 2004 - adrian@suse.de
- update to version 1.0 beta 2
- use external (fixed) sqlite for 9.1 and newer
* Sat Apr 17 2004 - coolo@suse.de
- return in non-void functions
* Tue Apr 13 2004 - adrian@suse.de
- update to version 1.0 beta 1
- new sub package for xmms visual plugins support
* Sun Mar 07 2004 - adrian@suse.de
- update to version 0.9 final
* Sun Feb 29 2004 - adrian@suse.de
- update to beta3
* Mon Feb 23 2004 - adrian@suse.de
- move menu entry to Audio Players
* Sat Feb 21 2004 - adrian@suse.de
- neededforbuild fix kdemultimedia3-video -> -sound
- disable GStreamer support again (direct crash when using it)
* Sat Feb 21 2004 - adrian@suse.de
- update to beta 2
- enable GStreamer support
* Sun Feb 15 2004 - adrian@suse.de
- initial package of version 0.9 beta 1
